%global rpm_name koji-fedoramessaging-messages
%global pypi_name koji_fedoramessaging_messages
%global pypi_version 1.2.5

Name:           python-%{rpm_name}
Version:        1.2.5
Release:        1.20250519022536343981.pr224.97.gccf670c%{?dist}
Summary:        A schema package for messages sent by the koji-fedoramessaging plugin

License:        GPL-3.0-or-later
URL:            https://github.com/fedora-infra/koji-fedoramessaging-messages
Source0:        koji_fedoramessaging_messages-1.2.5.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fedora-messaging) >= 3.0.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
Schema package for koji-fedoramessaging.

%package -n     python3-%{rpm_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{rpm_name}}

Requires:       python3dist(fedora-messaging) >= 3.0.1
Requires:       python3dist(setuptools)
%description -n python3-%{rpm_name}
Schema package for koji-fedoramessaging.


%prep
%autosetup -n koji_fedoramessaging_messages-1.2.5

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -v tests/

%files -n python3-%{rpm_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon May 19 2025 Packit <hello@packit.dev> - 1.2.5-1.20250519022536343981.pr224.97.gccf670c
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.10 (#223) (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.9 (#222) (renovate[bot])
- Update dependencies in lockfile (#221) (renovate[bot])
- Update dependencies in lockfile (#220) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.8 (#219) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.7 (#218) (renovate[bot])
- Update dependencies in lockfile (#217) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.6 (#216) (renovate[bot])
- Update dependencies in lockfile (#215) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.5 (#214) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.4 (#213) (renovate[bot])
- Update dependencies in lockfile (#212) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.3 (#211) (renovate[bot])
- Update dependencies in lockfile (#210) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.2 (#209) (renovate[bot])
- Update dependencies in lockfile (#208) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.11.1 (#207) (renovate[bot])
- Update all non-major dependencies (#206) (renovate[bot])
- Update dependencies in lockfile (#205) (renovate[bot])
- Update all non-major dependencies (#204) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.10 (#203) (renovate[bot])
- Update dependencies in lockfile (#202) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.9 (#201) (renovate[bot])
- Update dependencies in lockfile (#200) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.8 (#199) (renovate[bot])
- Update dependencies in lockfile (#198) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.7 (#197) (renovate[bot])
- Update dependencies in lockfile (#196) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.6 (#195) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.5 (#193) (renovate[bot])
- Update dependency black to v25 (#191) (renovate[bot])
- Update pre-commit hook psf/black to v25 (#192) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.4 (#190) (renovate[bot])
- Update dependencies in lockfile (#189) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.3 (#188) (renovate[bot])
- Update dependencies in lockfile (#187) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.2 (#186) (renovate[bot])
- Update dependency poetry to v2 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.9.1 (#185) (renovate[bot])
- Update all non-major dependencies (#184) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.8.6 (#182) (renovate[bot])
- Update dependencies in lockfile (#181) (renovate[bot])
- Update dependencies in lockfile (#180) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.8.4 (#179) (renovate[bot])
- Update dependencies in lockfile (#178) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.8.3 (#177) (renovate[bot])
- Update dependencies in lockfile (#176) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.8.2 (#175) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.8.1 (#174) (renovate[bot])
- Update dependencies in lockfile (#173) (renovate[bot])
- Use Reuse for licence tags (Aurélien Bompard)
- Packit: build in all Fedora distros and in epel9 (Aurélien Bompard)
- Use an external poetry in tests (Aurélien Bompard)
- Update all non-major dependencies (#172) (renovate[bot])
- Update dependencies in lockfile (#171) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.7.4 (#170) (renovate[bot])
- Update dependencies in lockfile (#169) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.7.3 (#167) (renovate[bot])
- Update dependencies in lockfile (#166) (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.7.2 (renovate[bot])
- Update dependency pytest-cov to v6 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.7.1 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update all non-major dependencies (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook psf/black to v24.10.0 (renovate[bot])
- Update pre-commit hook pre-commit/pre-commit-hooks to v5 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.9 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.8 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.7 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.6 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.5 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.4 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.3 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.2 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.1 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update all non-major dependencies (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.5.7 (renovate[bot])
- Update all non-major dependencies (renovate[bot])
- Update dependency sphinx to v8 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.5.5 (renovate[bot])
- Update sigstore/gh-action-sigstore-python action to v3 (renovate[bot])

* Mon May 19 2025 Packit <hello@packit.dev> - 1.2.5-1
- Version 1.2.5
